package com.ruoyi.mall.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 公司基站管理员对象 mall_company_user
 *
 * @author LCL
 * @date 2024-03-12
 */
public class MallCompanyUser extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 公司基站管理员主键ID */
    private Long companyUserId;

    /** 公司ID */
    @Excel(name = "公司ID")
    private Long companyId;

    /** 公司名 */
    @Excel(name = "公司名")
    private String companyName;

    /** 公司基站管理员头像 */
    @Excel(name = "公司基站管理员头像")
    private String companyUserHead;

    /** 公司基站管理员名 */
    @Excel(name = "公司基站管理员名")
    private String companyUserName;

    /** 公司基站管理员编号 */
    @Excel(name = "公司基站管理员编号")
    private String companyUserNumber;

    /** 公司基站管理员账号 */
    @Excel(name = "公司基站管理员账号")
    private String companyUserAccount;

    /** 公司基站管理员密码 */
    @Excel(name = "公司基站管理员密码")
    private String companyUserPassword;

    /** 系统用户ID */
    @Excel(name = "系统用户ID")
    private Long sysUserId;

    /** 公司基站管理员状态：0-正常，1-停用 */
    @Excel(name = "公司基站管理员状态：0-正常，1-停用")
    private String companyUserStatus;

    /** 省份ID */
    @Excel(name = "省份ID")
    private Long provinceId;

    /** 省份名 */
    @Excel(name = "省份名")
    private String provinceName;

    /** 城市ID */
    @Excel(name = "城市ID")
    private Long cityId;

    /** 城市名 */
    @Excel(name = "城市名")
    private String cityName;

    /** 区县ID */
    @Excel(name = "区县ID")
    private Long areaId;

    /** 区县名 */
    @Excel(name = "区县名")
    private String areaName;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /**
     * 极光推送ID
     */
    private String auroraId;

    /** 创建时间 */
    @Excel(name = "创建时间")
    private String createAt;

    /** 修改时间 */
    @Excel(name = "修改时间")
    private String updateAt;

    /** 删除标记：0-正常，1-删除 */
    private String delFlag;

    public void setCompanyUserId(Long companyUserId)
    {
        this.companyUserId = companyUserId;
    }

    public Long getCompanyUserId()
    {
        return companyUserId;
    }
    public void setCompanyId(Long companyId)
    {
        this.companyId = companyId;
    }

    public Long getCompanyId()
    {
        return companyId;
    }
    public void setCompanyName(String companyName)
    {
        this.companyName = companyName;
    }

    public String getCompanyName()
    {
        return companyName;
    }
    public String getCompanyUserHead() {
        return companyUserHead;
    }

    public void setCompanyUserHead(String companyUserHead) {
        this.companyUserHead = companyUserHead;
    }
    public void setCompanyUserName(String companyUserName)
    {
        this.companyUserName = companyUserName;
    }

    public String getCompanyUserName()
    {
        return companyUserName;
    }
    public void setCompanyUserNumber(String companyUserNumber)
    {
        this.companyUserNumber = companyUserNumber;
    }

    public String getCompanyUserNumber()
    {
        return companyUserNumber;
    }
    public void setCompanyUserAccount(String companyUserAccount)
    {
        this.companyUserAccount = companyUserAccount;
    }

    public String getCompanyUserAccount()
    {
        return companyUserAccount;
    }
    public void setCompanyUserPassword(String companyUserPassword)
    {
        this.companyUserPassword = companyUserPassword;
    }

    public String getCompanyUserPassword()
    {
        return companyUserPassword;
    }
    public void setSysUserId(Long sysUserId)
    {
        this.sysUserId = sysUserId;
    }

    public Long getSysUserId()
    {
        return sysUserId;
    }
    public void setCompanyUserStatus(String companyUserStatus)
    {
        this.companyUserStatus = companyUserStatus;
    }

    public String getCompanyUserStatus()
    {
        return companyUserStatus;
    }
    public void setProvinceId(Long provinceId)
    {
        this.provinceId = provinceId;
    }

    public Long getProvinceId()
    {
        return provinceId;
    }
    public void setProvinceName(String provinceName)
    {
        this.provinceName = provinceName;
    }

    public String getProvinceName()
    {
        return provinceName;
    }
    public void setCityId(Long cityId)
    {
        this.cityId = cityId;
    }

    public Long getCityId()
    {
        return cityId;
    }
    public void setCityName(String cityName)
    {
        this.cityName = cityName;
    }

    public String getCityName()
    {
        return cityName;
    }
    public void setAreaId(Long areaId)
    {
        this.areaId = areaId;
    }

    public Long getAreaId()
    {
        return areaId;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName()
    {
        return areaName;
    }
    public void setAddress(String address)
    {
        this.address = address;
    }

    public String getAddress()
    {
        return address;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public String getAuroraId() {
        return auroraId;
    }

    public void setAuroraId(String auroraId) {
        this.auroraId = auroraId;
    }
    public void setCreateAt(String createAt)
    {
        this.createAt = createAt;
    }

    public String getCreateAt()
    {
        return createAt;
    }
    public void setUpdateAt(String updateAt)
    {
        this.updateAt = updateAt;
    }

    public String getUpdateAt()
    {
        return updateAt;
    }
    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("companyUserId", getCompanyUserId())
            .append("companyId", getCompanyId())
            .append("companyName", getCompanyName())
            .append("companyUserHead", getCompanyUserHead())
            .append("companyUserName", getCompanyUserName())
            .append("companyUserNumber", getCompanyUserNumber())
            .append("companyUserAccount", getCompanyUserAccount())
            .append("companyUserPassword", getCompanyUserPassword())
            .append("sysUserId", getSysUserId())
            .append("companyUserStatus", getCompanyUserStatus())
            .append("provinceId", getProvinceId())
            .append("provinceName", getProvinceName())
            .append("cityId", getCityId())
            .append("cityName", getCityName())
            .append("areaId", getAreaId())
            .append("areaName", getAreaName())
            .append("address", getAddress())
            .append("remarks", getRemarks())
            .append("auroraId", getAuroraId())
            .append("createAt", getCreateAt())
            .append("updateAt", getUpdateAt())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
